#pragma once
#include "DeerRender/Events/ApplicationEvent.h"
#include "DeerRender/Events/Event.h"

int main(int, char**);

namespace Deer {
	namespace DeerStudio {
		void onRender();
		void onUpdate();

		void onEvent(Event& e);
		void main();

		bool onWindowCloseEvent(WindowCloseEvent&);

		// Other
		void onPanelMenuBar();
	} // namespace DeerStudio
} // namespace Deer
